We have an important message for those of you that are currently using the Android version of the FINAL FANTASY XIV: LIBRA EORZEA app.

We have confirmed that the FINAL FANTASY XIV: LIBRA EORZEA app is currently not working properly on Android 8.0. If you are still planning to upgrade your OS to Android 8.0, please do so at your own risk.

While we are currently working quickly to make the app compatible with Android 8.0, we may need to update the app from version 1.12.0 to have it compatible.

We will provide an update once we have more information on the matter.

We apologize for any inconvenience this may cause and thank you for your patience.